/********************************************************************* */
/* p2p.h */
/* */
/* Header file for pixel-to-pixel stereo algorithm.  Unfortunately, */
/* the image size and the maximum disparity must be hardcoded in */
/* order for the arrays to be allocated statically.  Dynamic */
/* allocation would probably be a better solution, but we have not */
/* tried this.  Hardcoding large values for memory allocation but */
/* using small values for computation is a poor solution because */
/* of the increased computation time. */
/********************************************************************* */

#ifndef _P2P_H_
#define _P2P_H_

/* ~/images/stereo/[abcf][12].pgm */
#define COLS               630   /* number of columns in image */
#define ROWS               480   /* number of rows in image */
#define MAXDISP        	 20   /* max. amount of disparity */

/* ~/images/stereo/yuri/meterbig_[lr].pgm */
/* #define COLS               512 // number of columns in image */
/* #define ROWS               480 // number of rows in image */
/* #define MAXDISP         	   20   // max. amount of disparity */
/* #define MAXDISP         	   17   // max. amount of disparity */

/* ~/images/stereo/yuri/SHRUB-[03][15].pgm */
/* #define COLS               512 // number of columns in image */
/* #define ROWS               480 // number of rows in image */
/* #define MAXDISP         	   20   // max. amount of disparity */

/* ~/images/stereo/yuri/scene_[lr].pgm */
/* #define COLS               384    // number of columns in image */
/* #define ROWS               288    // number of rows in image */
/* #define MAXDISP         	   16   // max. amount of disparity */

/* ~/images/stereo/yuri/meter_[lr].pgm */
/* #define COLS               256 // number of columns in image */
/* #define ROWS               240 // number of rows in image */
/* #define MAXDISP         	   10   // max. amount of disparity */

/* ~/images/stereo/hydrant[12].pgm */
/* #define COLS               370 // number of columns in image */
/* #define ROWS               200 // number of rows in image */
/* #define MAXDISP         	   25   // max. amount of disparity */

/* ??? ~/images/stereo/hydrant_new[12].pgm */
/* #define COLS               384 // number of columns in image */
/* #define ROWS               234 // number of rows in image */
/* #define MAXDISP         	   25   // max. amount of disparity */

#define SLOP         MAXDISP+1   /* expand arrays so we don't have to keep */
                                 /* checking whether index is too large */
#define INF              65535
#define DISCONTINUITY      255   /* symbol for a depth discontinuity */
#define NO_DISCONTINUITY     0   /* symbol for no depth discontinuity */

#endif
